Package com.ocient.jdbc.proto

## Interface PlanProtocol.RenameOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.RenameOperator`, `PlanProtocol.RenameOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.RenameOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsOld2New​(String key)` Map old names to new names
`Map<String,​String>` `getOld2New()` Deprecated.
`int` `getOld2NewCount()` Map old names to new names
`Map<String,​String>` `getOld2NewMap()` Map old names to new names
`String` `getOld2NewOrDefault​(String key, String defaultValue)` Map old names to new names
`String` `getOld2NewOrThrow​(String key)` Map old names to new names

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getOld2NewCount

    int getOld2NewCount()

    Map old names to new names

`map<string, string> old2New = 1;`

#### containsOld2New

    boolean containsOld2New​(String key)

    Map old names to new names

`map<string, string> old2New = 1;`

#### getOld2New

    @Deprecated
    Map<String,​String> getOld2New()

Deprecated.
Use `getOld2NewMap()` instead.

#### getOld2NewMap

    Map<String,​String> getOld2NewMap()

    Map old names to new names

`map<string, string> old2New = 1;`

#### getOld2NewOrDefault

    String getOld2NewOrDefault​(String key,
                               String defaultValue)

    Map old names to new names

`map<string, string> old2New = 1;`

#### getOld2NewOrThrow

    String getOld2NewOrThrow​(String key)

    Map old names to new names

`map<string, string> old2New = 1;`